import unittest
from aplicacion_ventas.gestor_ventas import GestorVentas
from aplicacion_ventas.exceptions import DescuentoInvalidoError, ImpuestoInvalidoError

class TextGestorVentas(unittest.TestCase):
    def test_calculo_precio_final(self):
        gestor=GestorVentas(100, 0.05, 0.10)
        self.assertEqual(gestor.calcular_precio_final(), 95.0) #Compara dos valores para ver si son iguales
    
    def test_impuesto_invalido(self):
        with self.assertRaises(ImpuestoInvalidoError): #Util para manejar si las excepciones se validan de manera correcta
            GestorVentas(100, 1.5, 0.10)
    
    def test_descuento_invalido(self):
        with self.assertRaises(DescuentoInvalidoError):
            GestorVentas(100,0.05,1.5)
            
if __name__=="__main__":
    unittest.main()